Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160701 - Could not install fc4 on reiserfs
Summary: Could not install fc4 on reiserfs
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 19:07 UTC by Rosen Nedialkov
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-16 22:12:28 UTC


Attachments (Terms of Use)

Description Rosen Nedialkov 2005-06-16 19:07:40 UTC
Description of problem:
Im making an install of fc4 on a 3 reiserfs partitions using Custom and then the
Manual partitioning. The partitions were created with the fc3 install long time
ago. The is one for /boot, / and /home. The installations finished fine but
after rebooting:
1. There is a kernel panic immediately on the system loading:
Uncompressing Linux ... OK, booting kernel
Kernel panic - not syncing: VFS: unable to mount root fs on unknown-block(0,0)
2. The grub menu is black and white, not blue !?

I installed several times and gave up. Now using ext3 on the same partitions.


How reproducible: Always.


Steps to Reproduce:
1.Install FC4 on reiserfs partitions
2. After install just login
  
Actual results:
Unable to boot into the OS

Expected results:
To be able to boot :)

Additional info: Athlon XP 1700+, GB GA-7VTHE+, 512 RAM. 
This setup worked perfectly with FC3.

Comment 1 Peter Jones 2005-06-16 22:12:28 UTC
Reiserfs is completely unsupported.

Comment 2 newt goel 2005-08-06 15:37:34 UTC
if you look in the kernel config, reiserfs is compiled as a module. that is
probably the problem.

Comment 3 Rosen Nedialkov 2005-08-06 16:21:31 UTC
(In reply to comment #2)
> if you look in the kernel config, reiserfs is compiled as a module. that is
> probably the problem.

As I mentioned before the exactly the same setup was working fine on FC3.
I'm loading the module before the boot using the "linux reiserfs" command.

I had found that if the /boot and/or / partitions are on reiserfs the system
wont boot. Now these are on ext3 but the others are still on reiserfs.

Could grub had broken something?


Note You need to log in before you can comment on or make changes to this bug.